<?php

namespace App\Modules\Core;

use Illuminate\Support\ServiceProvider;
use App\Modules\Core\Contracts\CoreServiceInterface;
use App\Modules\Core\Services\CoreService;

class CoreServiceProvider extends ServiceProvider
{
    public function register(): void
    {
        $this->app->bind(CoreServiceInterface::class, CoreService::class);
    }

    public function boot(): void
    {
        //
    }
}
